#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false); 
    cin.tie(NULL);    
    string niz[3];
    string s;
    cin>>niz[0]>>niz[1]>>niz[2];
    long m=0,rez;
    for(int i=0;i<3;i++)
       {
           for(int j=0;j<3;j++)
            {
                if(j!=i)s+=niz[i];
            }
            rez=stoi(s);
            if(rez>m)m=rez;
            s="";
       }
    cout<<m;
    return 0;
}